## org.sqlite
Class OSInfo

    java.lang.Object
      org.sqlite.OSInfo

    public class OSInfo

extends Object

Provides OS name and architecture name.

Author:
  leo

Constructor Summary
`OSInfo()`

Method Summary
`static String` `getArchName()`
`static String` `getNativeLibFolderPathForCurrentOS()`
`static String` `getOSName()`
`static void` `main(String[] args)`
`static String` `translateArchNameToFolderName(String archName)`
`static String` `translateOSNameToFolderName(String osName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OSInfo

    public OSInfo()

Method Detail

### main

    public static void main(String[] args)

### getNativeLibFolderPathForCurrentOS

    public static String getNativeLibFolderPathForCurrentOS()

### getOSName

    public static String getOSName()

### getArchName

    public static String getArchName()

### translateOSNameToFolderName

    public static String translateOSNameToFolderName(String osName)

### translateArchNameToFolderName

    public static String translateArchNameToFolderName(String archName)

This work is licensed under a Creative Commons Attribution-ShareAlike 2.1 Japan License.